string last_serverlogin = "";

void Main() {
	while(true) {
		auto app = cast<CTrackMania>(GetApp());
		auto network = cast<CTrackManiaNetwork>(app.Network);
		auto serverinfo = cast<CTrackManiaNetworkServerInfo>(network.ServerInfo);

		if (serverinfo != null && network != null) {
			if (last_serverlogin != serverinfo.ServerLogin) {
				last_serverlogin = serverinfo.ServerLogin;
				auto maniaapp = network.ClientManiaAppPlayground;

				if (maniaapp != null) {
					auto uilayers = maniaapp.UILayers;
					bool removed = false;
					for (uint i = 0; i < uilayers.Length; i++) {
						string manialink = uilayers[i].ManialinkPage;
						auto firstlines = manialink.Split("\n", 5);
						if (firstlines.Length > 0) {
							for (uint j = 0; j < firstlines.Length - 1; j++) {
								if (firstlines[j].Contains("UIModule_Knockout_EliminationWarning")) {
									print("Removing Knockout Warning Manialink");
									maniaapp.UILayerDestroy(uilayers[i]);
									removed = true;
									break;
								}
							}
							if (removed) {
								break;
							} 
						}					
					}
				}
			}
		}
		sleep(60000);
	}
}